{% extends 'base1.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block title %}rec{% endblock title %}

{% block custom_css %} <link rel="Stylesheet" href="{% static 'blog.css' %}">{% endblock custom_css %}

{% block content %}
  {% csrf_token %}
  {% if user.is_authenticated %}
  <div class="container">
    <div class="row" style="padding-top: 10%;">
      <div class="col" id="allData">
        
      <div class="col" >
    </div>

    <ul>
        <li>
          <span>DARK</span>
          <span>LIGHT</span>
        </li>
    </ul>
    {% else %}
    <body><p>Anda harus login terlebih dahulu</p></body>
    {% endif %}
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <script text="text/javascript">
      $(document).ready(function(){
        $('ul').click(function(){
          $('ul').toggleClass('active')
          $('body').toggleClass('dark')
          $('p').toggleClass('dark')
          $('.panel').toggleClass('dark')
        })
        $.ajax({
          url: '/blog/blog/data/',
          dataType: 'json',
          success: function (data) {
            console.log(data)
            for(i=0;i<data.length;i++){
              $('#allData').append(
                `<img src = "/media/${data[i].picture}" width="80%">
                <p>${data[i].judul}</p>
                <p>${data[i].berita}</p>`
              )
            }   
          }
        });
      })
    </script>
    <script>
        
      </script>
  

{% endblock content %}

